﻿#pragma strict

/**
 * 敵を作る役割。
 */
public class EnemyMaker extends MonoBehaviour {
	/**
	 * 敵のPrefab.
	 */
	public var enemyPrefab:GameObject;

	/**
	 * 敵の現れるスパン。(seconds)
	 */
	private var ENEMY_SPAN:float = 0.4;

	/**
	 * 時間の計測。
	 */
	private var countTime:float = 0;


	/**
	 * start.
	 */
	public function Start():void {
	}

	/**
	 * update.
	 */
	public function Update():void {
		this.countTime += Time.deltaTime;

		if (this.countTime >= this.ENEMY_SPAN) {
			this.countTime -= this.ENEMY_SPAN;
			this.CreateEnemy();
		}
	}

	/**
	 * 敵の作成。
	 */
	public function CreateEnemy():void {
		var enemyGO:GameObject = Instantiate(this.enemyPrefab);
		enemyGO.transform.position = this.transform.position;
	}
}